> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# My Access



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/licenses/my-access
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/licenses/my-access:
    get:
      tags:
        - License Seats
      summary: My Access
      operationId: LicenseSeatsController_myAccess_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MyAccessResponseDto'
components:
  schemas:
    MyAccessResponseDto:
      type: object
      properties:
        isOwner:
          type: boolean
        governanceLevel:
          enum:
            - admin
            - member
          type: string
        licensingEnforced:
          type: boolean
        licensedFeatureKeys:
          type: array
          items:
            type: string
            enum:
              - collaboration
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - ai_assistant
        viewOnlyFeatureKeys:
          type: array
          items:
            type: string
            enum:
              - collaboration
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - ai_assistant
        teams:
          type: array
          items:
            $ref: '#/components/schemas/MyAccessTeamDto'
        leadTeamIds:
          type: array
          items:
            type: string
        seats:
          type: array
          items:
            $ref: '#/components/schemas/MyAccessSeatDto'
        pendingRequests:
          type: array
          items:
            $ref: '#/components/schemas/MyAccessPendingRequestDto'
      required:
        - isOwner
        - governanceLevel
        - licensingEnforced
        - licensedFeatureKeys
        - viewOnlyFeatureKeys
        - teams
        - leadTeamIds
        - seats
        - pendingRequests
    MyAccessTeamDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        isLead:
          type: boolean
        licenses:
          type: array
          items:
            $ref: '#/components/schemas/MyAccessTeamLicenseDto'
        viewOnlyFeatureKeys:
          type: array
          items:
            type: string
            enum:
              - collaboration
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - ai_assistant
      required:
        - id
        - name
        - isLead
        - licenses
        - viewOnlyFeatureKeys
    MyAccessSeatDto:
      type: object
      properties:
        licenseId:
          type: string
        packageKey:
          type: string
        packageDisplayName:
          type: string
        activatedAt:
          type: string
      required:
        - licenseId
        - packageKey
        - packageDisplayName
        - activatedAt
    MyAccessPendingRequestDto:
      type: object
      properties:
        id:
          type: string
        licenseId:
          type: string
        packageKey:
          type: string
        packageDisplayName:
          type: string
        createdAt:
          type: string
          nullable: true
      required:
        - id
        - licenseId
        - packageKey
        - packageDisplayName
        - createdAt
    MyAccessTeamLicenseDto:
      type: object
      properties:
        licenseId:
          type: string
        packageKey:
          type: string
        packageDisplayName:
          type: string
      required:
        - licenseId
        - packageKey
        - packageDisplayName

````